import { HttpException, HttpStatus } from '@nestjs/common';
import { Pais } from './pais.entity';
import { Repository } from 'typeorm';
import { CreatePaisDto } from './dto/create-pais.dto';
import { UpdatePaisDto } from './dto/update-pais.dto';
export declare class PaisService {
    private paisRepository;
    constructor(paisRepository: Repository<Pais>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        departamento: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            pais_id: number;
            pais: Pais;
            provincia: import("../provincia/provincia.entity").Provincia[];
        }[];
        id: number;
        nombre: string;
        codigo_telefono: string;
        deleted_at: Date;
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: Pais;
                provincia: import("../provincia/provincia.entity").Provincia[];
            }[];
            id: number;
            nombre: string;
            codigo_telefono: string;
            deleted_at: Date;
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: Pais;
                provincia: import("../provincia/provincia.entity").Provincia[];
            }[];
            id: number;
            nombre: string;
            codigo_telefono: string;
            deleted_at: Date;
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        departamento: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            pais_id: number;
            pais: Pais;
            provincia: import("../provincia/provincia.entity").Provincia[];
        }[];
        id: number;
        nombre: string;
        codigo_telefono: string;
        deleted_at: Date;
    }>;
    createData(pais: CreatePaisDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: Pais;
                provincia: import("../provincia/provincia.entity").Provincia[];
            }[];
            id: number;
            nombre: string;
            codigo_telefono: string;
            deleted_at: Date;
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, pais: UpdatePaisDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            codigo_telefono: string;
            deleted_at: Date;
            departamento: import("../departamento/departamento.entity").Departamento[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
